de.vc.xml

## Class XMLObjectFactory

- java.lang.Object
- - de.vc.xml.XMLObjectFactory

- Direct Known Subclasses:
    XMLFOFactory

      public abstract class XMLObjectFactory
      extends java.lang.Object

  The ObjectFactory creates objects from a XML-node.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLObjectFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `addChild(java.lang.Object parent, java.lang.Object child)` Adds a child object to an object, that was created by this factory.
    `abstract boolean` | `addPCData(java.lang.Object parent, java.lang.String data)` Adds PC-Data to an object, that was created by this factory.
    `abstract java.lang.Object` | `create(java.lang.String tag, java.util.Map attributes, java.lang.Object parent)` Create an object from a XML description.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLObjectFactory

          public XMLObjectFactory()

  - ### Method Detail

    - #### create

          public abstract java.lang.Object create(java.lang.String tag,
                                java.util.Map attributes,
                                java.lang.Object parent)

      Create an object from a XML description.
      Parameters:
        `tag` - XML-Tag.
        `attributes` - Map of attributes.
        `parent` - Parent object (may be null).
      Returns:
        A new Object or NULL, if this factory doesn't know what to do with that tag.

    - #### addChild

          public abstract boolean addChild(java.lang.Object parent,
                         java.lang.Object child)

      Adds a child object to an object, that was created by this factory.
      Parameters:
        `parent` - Object, where child should be added.
        `child` - Child-object.
      Returns:
        true, if added.

    - #### addPCData

          public abstract boolean addPCData(java.lang.Object parent,
                          java.lang.String data)

      Adds PC-Data to an object, that was created by this factory.
      Parameters:
        `parent` - Object, where child should be added.
        `data` - PC Data.
      Returns:
        true, if added.

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.